> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/enrich-your-response.md).

# Enrich your response

In this chapter, you will learn how to enrich your API request by using includes. Includes are the cornerstone of our API and allow you to enrich and customise your requests. This flexibility is what distinguishes Sportmonks from all competitors.

Already know what includes are? No worries, we've got some extra information for you in this chapter: nested includes.

You can skip this chapter and immediately dive into request options.

{% content-ref url="/pages/ArxX5uLnZS6BPGqXxQhu" %}
[Includes](/v3/tutorials-and-guides/tutorials/includes.md)
{% endcontent-ref %}

{% content-ref url="/pages/7G2QSOffyNxVmtzNx3dz" %}
[Nested includes](/v3/tutorials-and-guides/tutorials/enrich-your-response/nested-includes.md)
{% endcontent-ref %}

{% content-ref url="/pages/vrg8oM0H4IubzQc2YJ3I" %}
[Filter and select fields](/v3/tutorials-and-guides/tutorials/filter-and-select-fields.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/enrich-your-response.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
